{% extends "@EasyAdmin/page/content.html.twig" %}

{% block page_content %}
    <div class="row mb-4">
        <div class="col-4">
            <div class="card">
                <div class="card-body text-center">
                    <div class="card-title">
                        <h5>Total utilisateur</h5>
                        <span class="text-muted">(avec & sans messages)</span>
                    </div>
                    <div class="card-text">
                        <p class="h3">{{ users.totalWithMsg }} / {{ users.total }}</p>
                    </div>
                </div>

            </div>
        </div>
        <div class="col-4">
            <div class="card">
                <div class="card-body text-center">
                    <h5 class="card-title">Total messages</h5>
                    <p class="card-text h3">{{ messages.total }}</p>
                </div>

            </div>
        </div>
        <div class="col-4">
            <div class="card">
                <div class="card-body text-center">
                    <h5 class="card-title">Total hashtags</h5>
                    <p class="card-text h3">{{ hashtags.total }}</p>
                </div>
            </div>

        </div>
    </div>
    <div class="row mb-4">
        <div class="col-6">
            <h4 class="mb-4">TOP 10 users avec le plus de messages</h4>
            <div class="card">
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Username</th>
                        <th>Nb. Messages</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for user in users.best %}
                        <tr>
                            <td>{{ user.0.id }}</td>
                            <td>{{ user.0.username }}</td>
                            <td>{{ user.nbMessages }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>

        </div>
        <div class="col-6">
            <h4 class="mb-4">TOP 10 hashtags avec le plus de messages</h4>
            <div class="card">
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Hashtag</th>
                        <th>Nb. Messages</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for hashtag in hashtags.best %}
                        <tr>
                            <td>{{ hashtag.0.id }}</td>
                            <td>{{ hashtag.0.texthashtag }}</td>
                            <td>{{ hashtag.nbMessages }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="row mb-4">
        <div class="col-6">
            <h4 class="mb-4">TOP 10 users avec le plus de followers</h4>
            <div class="card">
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Username</th>
                        <th>Nb. Followers</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for user in users.mostFollowers %}
                        <tr>
                            <td>{{ user.0.id }}</td>
                            <td>{{ user.0.username }}</td>
                            <td>{{ user.nbFollowers }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>

        </div>
        <div class="col-6">
            <h4 class="mb-4">TOP 10 messages avec le plus de likes</h4>
            <div class="card">
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Contenu</th>
                        <th>Auteur</th>
                        <th>Nb. Likes</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for message in messages.mostLikes %}
                        <tr>
                            <td>{{ message.0.id }}</td>
                            <td>{{ message.0.content | slice(0, 50) ~ '...' }}</td>
                            <td>{{ message.0.author.username }}</td>
                            <td>{{ message.nbLikes }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}
